<?php

namespace Bydedi\Payment;

use com\realexpayments\remote\sdk\domain\CardType;
use Inacho\CreditCard;

/**
 * Class CreditCardTypeTranslator
 * @package Bydedi\Payment
 */
class CreditCardTypeTranslator
{

    /**
     * @param $cardNumber
     * @return bool|string
     */
    public function getFromCardNumber($cardNumber)
    {
        $cardDetails = CreditCard::validCreditCard($cardNumber);

        switch ($cardDetails['type']) {
            case 'visa':
                $type = CardType::VISA;
                break;
            case 'mastercard':
                $type = CardType::MASTERCARD;
                break;
            case 'amex':
                $type = CardType::AMEX;
                break;
            case 'jcb':
                $type = CardType::JCB;
                break;
            case 'dinersclub':
                $type = CardType::DINERS;
                break;
            default:
                $type = false;
                break;
        }

        return $type;
    }
}
